/*********************************************************************************
Mdulo para el reconocimieno de la lnea de comandos.
**********************************************************************************/

%{
#include "analizador.h"
%}

digito [0-9]
letra [-a-zA-Z"/""."]
palabra {letra}({letra}|{digito})*


/* parte de patrn-accin */
%%
"cd"		return CHD;
"limite"	return LIMITE;
{palabra}	return WORD;
"|"		return BARRA;
"&"		return AND;
";"		return PYC;
">"		return MAYOR;
">>"		return MAYOR2;
"<"		return MENOR;
[\n]		return NL;

[ \t]*		;

%%


yywrap() {
   return 1;
}
