/*********************************************************************************
Mdulo para el reconocimieno de la lnea de comandos.
**********************************************************************************/

%{
#include "analizador.h"
%}

digito [0-9]
letra [-a-zA-Z"/""."]
palabra ({letra}|{digito})*


/* parte de patrn-accin */
%%
"cd"		return CHD;
"limite"	return LIMITE;
"cpu"		return CPU;
"fsize"		return FSIZE;
"data"		return DATA;
"stack"		return STACK;
"numfich"	return NUMFICH;
">&"		return MAYORAND;
{palabra}	return WORD;
"|"		return BARRA;
"&"		return AND;
";"		return NL;
">"		return MAYOR;
">>"		return MAYOR2;
"<"		return MENOR;
[\n]		return NL;

[ \t]*		;

%%


yywrap() {
   return 1;
}
