/* Ejemplo de uso de dup y pipe */

#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>
#include <errno.h>

int main(int argc, char *argv[]) {
int fd[2];
int pid;

  if (pipe(fd) == -1)
    perror("pipe");

  pid = fork();
  if (pid == -1)
    perror("fork");

  if (pid == 0) {	/* hijo*/
/*    printf("fd[0] del hijo: %d\n", fd[0]);
    printf("fd[1] del hijo: %d\n", fd[1]); */
    close(0);		/* entrada estandar */
    dup(fd[0]);
    close(fd[0]);	/* lectura */
    close(fd[1]);	/* escritura */
    execl("/bin/ls","ls","-l",0);
   }
  else {		/* padre */
/*    printf("fd[0] del padre: %d\n", fd[0]);
    printf("fd[1] del padre: %d\n", fd[1]); */
    close(1);		/* salida estandar */
    dup(fd[1]);
    close(fd[0]);
    close(fd[1]);
   }

  return 0;
}
