/*********************************************************************************
Mdulo para el reconocimieno de la lnea de comandos.
**********************************************************************************/

%{
#include "analizador.h"

#undef YY_INPUT
#define YY_INPUT(b,r,ms) (r = my_yyinput(b,ms))

char *myinputptr;		/* posicion en la cadena de entrada */
char *myinputlim;		/* tamao de la entrada */
%}

digito [0-9]
letra [-a-zA-Z"/""."]
palabra {letra}({letra}|{digito})*


/* parte de patrn-accin */
%%
"exit"		return EXIT;
{palabra}	return WORD;
[\n]		return NL;

[ \t]*		;

%%
/*******************************************************************************************************
Funcin que lee caracteres de la entrada y devuelve el n leido.
*******************************************************************************************************/
int my_yyinput(char *buf, int max_size){
int n;

  if (max_size > (myinputlim - myinputptr))
    n = (myinputlim - myinputptr);
  else
    n = max_size;
  if (n > 0) {
    memcpy(buf, myinputptr,n);
    myinputptr += n;
  }
  return n;
}

yywrap() {
   return 1;
}
