/* Programa para simular el efecto de las seales, concretamente despertar a un proceso.
MODO DE USO: se ejecuta el programa senal2, que muestra por pantalla su pid y se duerme. Despues
	se ejecuta senal1 que pide el pid del proceso al que se le mandar la seal SIGUSR1. Esto
	har que el proceso 2 se despierte y muestre en pantalla el mensaje "despertado".
*/

#include <sys/types.h>
#include <signal.h>
#include <unistd.h>	/* getpid() */
#include <errno.h>
#include <stdio.h>


void accion() {

  signal(SIGUSR1,accion);

}

void accion2() {

  signal(SIGUSR2, accion2);
  printf("accion2\n");

}

int main() {
int i;

  signal(SIGUSR1,accion);
  signal(SIGUSR2, accion2);


    printf("pid de este proceso: %ld\n", getpid());
    printf("Durmiendo...\n");
    if ((kill(getpid(), SIGSTOP)) == -1)
      perror("ERROR durmiendo");
    printf("Despertando...\n");


  return 0;
}