/*************************************************************************************
  Autor: Oscar Martnez Valpuesta -- 4 Ingenieria Superior Informtica
  Descripcin: Mdulo que contiene las llamadas de alto nivel.
		* abrir --> open
		* crear --> creat
		* cerrar --> close
		* leer --> read
		* escribir --> write
		* posicionar --> lseek
*************************************************************************************/
#include "callLo.h"
#include <sys/stat.h>
#include <unistd.h>
#include <sys/types.h>
#include <signal.h>

typedef struct TIPO_TABLA_DESCRIPTORES{
  int fd_real;
  int entrada;		/* puntero a la tabla de ficheros global */
}TABLA_DESCRIPTORES;

TABLA_DESCRIPTORES tabla_descriptores[MAXFILES];

void  despertar();
void  escritura_r();
void Inicializar(void);
int InsertaTabla(int fd_real);
void Mostrar(void);
int Leer(int fd, char *buffer_user, int n_bytes);
int Abrir(char *name, int flags);
int Crear(char *name, int flags);
int Cerrar(int fd);
int Escribir(int fd, char *buffer_user, int n_bytes);
