/************************************************************************
Mdulo principal para la simulacin del buffer cach.
	* Simulacion mediante copia de un fichero.
************************************************************************/
#include "callHi.h"
#include <sys/stat.h>	/* open */
#include <sys/types.h>
#include <fcntl.h>	/* open */
#include <unistd.h>  /* read/write */
#include <signal.h>
#include <stdio.h>

#define T 1


/***************************************************************************************/
int main(int argc, char *argv[]) {
int fd;
char datos[T];
int contador;
int fd2;	/* para la copia */
int pid;
int fd_real;
int fd_real2;
int i;


  signal(SIGUSR2, escritura_r);
  if (argc != 3) {
    printf("Forma de uso: leer nombre_fichero copia\n");
    exit(1);
  }
  signal(SIGUSR1, despertar);


  /* memoria para las estructuras */
  if (Da_Memoria() == -1)
    perror("No hay memoria para las estructuras.\n");

  /* inicializa la tabla de ficheros de este proceso */
  Inicializar();

  if ((fd = Abrir(argv[1], L_E)) == -1) {
    printf("ERROR, no hay espacio para ms ficheros en la tabla de ficheros.\n");
    exit (1);
  }

  if ((fd2 = Crear(argv[2], L_E)) == -1) {
    printf("ERROR, no hay espacio para ms ficheros en la tabla de ficheros.\n");
    exit (1);
  }

  for (i = 0; i < MAXFILES; i++)
    if (tabla_ficheros_real[i].fd == fd2)
      fd_real = tabla_ficheros_real[i].fd_real;
  contador = Leer(fd, datos, T);
  while (contador != 0) {
    write(fd_real,datos,contador);
    contador = Leer(fd, datos, T);
  }

  Cerrar(fd);
  Cerrar(fd2);

  /* mostramos los resultados */
  printf("\nRESULTADOS PADRE (%ld)\n", getpid());
  Mostrar();

  return 0;
}
