/************************************************************************
Mdulo principal para la simulacin del buffer cach.
	* Simulacion mediante copia de un fichero.
************************************************************************/
#include "callHi.h"
#include <sys/stat.h>	/* open */
#include <sys/types.h>
#include <fcntl.h>	/* open */
#include <unistd.h>  /* read/write */
#include <signal.h>
#include <stdio.h>


#define T 17
/***************************************************************************************/
int main(int argc, char *argv[]) {
int fd;
char *datos;
int contador;
int fd2;	/* para la copia */
		/* tamao de los datos a  leer */

  signal(SIGUSR1, despertar);
  signal(SIGUSR2, escritura_r);

/*  if (argc != 4) {
    printf("Forma de uso: leer nombre_fichero copia tamao\n");
    exit(1);
  } */


  if (fork() == 0) {
/*    T = atoi(argv[3]); */

    datos = (char *)calloc(T, sizeof(char));

  /* memoria para las estructuras */
  if (Da_Memoria() == -1)
    perror("No hay memoria para las estructuras.\n");

  /* inicializa la tabla de ficheros de este proceso */
  Inicializar();

  if ((fd = Abrir("test"/*argv[1]*/, L_E)) == -1) {
    printf("ERROR, no hay espacio para ms ficheros en la tabla de ficheros.\n");
    exit (1);
  }

  if ((fd2 = Crear("copia"/*argv[2]*/, L_E)) == -1) {
    printf("ERROR, no hay espacio para ms ficheros en la tabla de ficheros.\n");
    exit (1);
  }


  contador = Leer(fd, datos, T);
  while (contador != 0) {
    Escribir(fd2,datos,contador);
    contador = Leer(fd, datos, T);
  }

  Cerrar(fd);
  Cerrar(fd2);
  free(datos);

  /* mostramos los resultados */
  printf("\nRESULTADOS HIJO(%ld)\n", getpid());
  Mostrar();
  }
  else {
/*     T = atoi(argv[3]); */
    datos = (char *)calloc(T, sizeof(char));
    /* memoria para las estructuras */
  if (Da_Memoria() == -1)
    perror("No hay memoria para las estructuras.\n");

  /* inicializa la tabla de ficheros de este proceso */
  Inicializar();

  if ((fd = Abrir("test"/*argv[1]*/, L_E)) == -1) {
    printf("ERROR, no hay espacio para ms ficheros en la tabla de ficheros.\n");
    exit (1);
  }

  if ((fd2 = Crear("copia1"/*argv[2]*/, L_E)) == -1) {
    printf("ERROR, no hay espacio para ms ficheros en la tabla de ficheros.\n");
    exit (1);
  }


  contador = Leer(fd, datos, T);
  while (contador != 0) {
    Escribir(fd2,datos,contador);
    contador = Leer(fd, datos, T);
  }

  Cerrar(fd);
  Cerrar(fd2);
  free(datos);

  /* mostramos los resultados */
  wait();
  printf("\nRESULTADOS PADRE(%ld)\n", getpid());
  Mostrar();
  }

  return 0;
}
